[API]
DialogBoxIndirectParamA
DialogBoxIndirectParamW

[CODE]
Public Function DialogBoxIndirectParamEx(ByVal DialogData As String, ByVal hWndParent As Long, ByVal lpDialogFunc As Long, ByVal xParam As Long, Optional ByVal hModule As Long) As Long
  Dim xChar1 As String
  
  If Not Len(DialogData) = 0& Then
    If hModule = 0& Then
      #If InIDE And Not CustomClassesInDialogs And LoadResEx_SetThemeFile Then
        hModule = LoadResEx_ThemeFile_hModule
        If hModule = 0& Then hModule = App.hInstance
        #ElseIf InIDE And Not CustomClassesInDialogs And LoadResEx_SetLanguageFile Then
        hModule = LoadResEx_LanguageFile_hModule
        If hModule = 0& Then hModule = App.hInstance
        #Else
        hModule = App.hInstance
        #End If
      End If
    If IsUnicode Then
      DialogBoxIndirectParamEx = DialogBoxIndirectParamW(hModule, DialogData, hWndParent, lpDialogFunc, xParam)
      Else
      DialogBoxIndirectParamEx = DialogBoxIndirectParamA(hModule, DialogData, hWndParent, lpDialogFunc, xParam)
      End If
    End If
  End Function
